View Issue Details

IDProjectCategoryView StatusLast Update
0002758Ham Radio DeluxeBugpublic2018-07-25 20:47
ReporterPD9FER 
Assigned ToPD9FER 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.873 
Summary0002758: Digital Master Crashes on clicking FTP / FTP All in the saved Images window
DescriptionGetting minidumps in DM780/SSTV when clicking the FTP or FTP All buttons in the Saved Images TAB.
Not getting minidumps when going into the TAB SSTV>FTP>FTP Settings, and clicking "Upload (Received)" or "Upload (Transmitted) It will upload with no problem
Steps To ReproduceStart Digital Master
Click SSTV > Display
In the Saved Images window select 1 or more images
Select FTP or FTP All

See screenshot

100% replication here
Additional InformationTicket #848522
Maybe related to Mantis 1669

Added Customers and my Minidump to the Dumpfolder
TagsNo tags attached.
ModuleDM780
Sub-ModuleSSTV
Testing Beta Successful

Relationships

Activities

PD9FER

2018-06-02 05:04

viewer  

sstv.png (678,146 bytes)

PD9FER

2018-06-02 05:06

viewer   ~0005179

Mantis_ID-0002758.rar

K7ZCZ

2018-06-17 21:07

manager   ~0005353

Not much information here, so these notes help:

1) Images in this list come from this directory: C:\Users\mikeblas\AppData\Roaming\HRDLLC\Digital Master 780\SSTV\Received
A few images are needed in that directory, otherwise there's nothing to select. JPG files work; PNG files are not recognized.

2) FTP needs to be configured in the app; use the SSTV menu has an FTP tear-off, then an "FTP Settings" command.

K7ZCZ

2018-06-19 08:31

manager   ~0005355

Fix is out for review with this shelf set.
https://hrdsoftware.visualstudio.com/HRD/HRD%20Team/_versionControl/shelveset?ss=SSTV%20FTP%20crash%20fix%3Bmikeblas%40msn.com

K7ZCZ

2018-06-21 14:37

manager   ~0005370

The issue here was that work was performed on a thread using MFC. The MFC libraries require that threads using MFC be started with AfxBeginThread(); the worker threads wrapped by the code in ThinThread.CPP are not; they're started with the CRTL beginthread() function.

The bad news is that ThinThread.CPP is copied all over the project, so we probably have such issues elsewhere, waiting for us.

K7ZCZ

2018-06-21 14:39

manager   ~0005371

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4175

g3ucq

2018-06-28 11:40

viewer   ~0005518

Fixed

PD9FER

2018-06-29 02:06

viewer   ~0005536

Fixed in build 858

Issue History

Date Modified Username Field Change
2018-06-02 05:04 PD9FER New Issue
2018-06-02 05:04 PD9FER File Added: sstv.png
2018-06-02 05:06 PD9FER Note Added: 0005179
2018-06-17 21:07 K7ZCZ Note Added: 0005353
2018-06-17 21:55 K7ZCZ Assigned To => K7ZCZ
2018-06-17 21:55 K7ZCZ Status new => assigned
2018-06-17 21:55 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-06-19 08:31 K7ZCZ Note Added: 0005355
2018-06-21 14:37 K7ZCZ Note Added: 0005370
2018-06-21 14:39 K7ZCZ Status assigned => resolved
2018-06-21 14:39 K7ZCZ Resolution open => fixed
2018-06-21 14:39 K7ZCZ Note Added: 0005371
2018-06-28 10:06 K7ZCZ Fixed in Version => 6.4.0.858
2018-06-28 10:28 WA9PIE Assigned To K7ZCZ => PD9FER
2018-06-28 11:40 g3ucq Note Added: 0005518
2018-06-29 02:06 PD9FER Note Added: 0005536
2018-06-30 00:43 WA9PIE Status resolved => closed
2018-06-30 00:43 WA9PIE Description Updated View Revisions
2018-06-30 00:43 WA9PIE Steps to Reproduce Updated View Revisions
2018-06-30 00:43 WA9PIE Additional Information Updated View Revisions
2018-06-30 00:43 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-06-30 00:44 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2018-07-23 22:53 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-07-24 15:35 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2018-07-24 15:46 WA9PIE Testing Not Started => Beta Successful
2018-07-25 08:00 WA9PIE Fixed in Version 6.4.0.858 => 6.4.0.873
2018-07-25 20:47 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe